#ifndef XGFXBRUSHMODEL_H
#define XGFXBRUSHMODEL_H

#include "xasset.h"
#include "xgfxbrushmodelwritable.h"

#include <QVector>
#include <QVector3D>

class XGfxBrushModel : public XAsset
{
public:
    XGfxBrushModel();
    ~XGfxBrushModel();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XGfxBrushModelWritable mWritable;
    QVector<QVector3D> mBounds;
    uint mSurfaceCount;
    uint mStartSurfIndex;
};

#endif // XGFXBRUSHMODEL_H
